var
  i, N: Integer;
  f: TextFile;
begin
  Assign(f, 'input.txt'); Reset(f);
  Readln(f, N);
  CloseFile(f);

  Assign(f, 'output.txt'); Rewrite(f);
  for i := 1 to N do begin
    if Sqr(i) > N then break;
    Write(f, Sqr(i), ' ');
  end;
  CloseFile(f);
end.
